Bug 510321 - Review Request: olpc-library - OLPC library page generator
Review Request: olpc-library - OLPC library page generator
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2009-07-08 13:21 EDT by Daniel Drake
Modified: 2009-08-11 18:37 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.0.2-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-11 19:19:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Daniel Drake 2009-07-08 13:21:21 EDT
Spec URL: http://dev.laptop.org/~dsd/20090708/olpc-library.spec
SRPM URL: http://dev.laptop.org/~dsd/20090708/olpc-library-2.0.1-1.fc11.src.rpm
Description:

This package has been part of the OLPC platform for some time, so I've cleaned it up for inclusion in Fedora. It is a set of scripts to generate a HTML index page based on the content (e.g. textbooks) installed on the system.

It is invoked by sugar when new textbooks are installed, and during first-boot through the olpc-configure init script in the olpc-utils package.

Please review for F11 inclusion.
Comment 1 Alexander Boström 2009-07-08 16:38:58 EDT
This looks like http://dev.laptop.org/git/users/dsd/olpc-library/ except I only see 2.0.0 there, not 2.0.1. You need an upstream URL for Source0 or instructions on how to reproduce the tarball.

License needs "and BSD" added to be valid. But the file which causes that, namely "js/home-yahoo-dom-event.js", is copied from yui_xxx.zip from http://developer.yahoo.com/yui/ which should really be packaged separately.
Comment 3 Fabian Affolter 2009-07-09 11:20:31 EDT
Is there a reason, why 'parallel make' is not used?
  https://fedoraproject.org/wiki/Packaging:Guidelines#Parallel_make
Comment 4 Daniel Drake 2009-07-09 11:34:42 EDT
No. Updated the spec file at http://dev.laptop.org/~dsd/20090709/olpc-library.spec
Comment 5 Jason Tibbitts 2009-07-10 19:03:42 EDT
I downloaded the srpm but it doesn't look like any change was made to the spec there.  I know that was a trivial change, but please do bump the release and submit a new src.rpm when you make changes.

Could you indicate which files are under which license?  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines has information on doing that.

Your Source0: URL is 404 for me.

Everything else looks good, but I've no experience at all with Sugar stuff so I may not be the best person to review this.  This doesn't seem to fall under the usual guidelines for Sugar activities so I'm not sure if there are any additional strictures I should consider.
Comment 6 Daniel Drake 2009-07-11 13:48:28 EDT
Thanks, fixed all that.
http://dev.laptop.org/~dsd/20090711/olpc-library.spec
http://dev.laptop.org/~dsd/20090711/olpc-library-2.0.2-1.fc11.src.rpm

Indeed, it is not an activity. You can look at it as an independent program which parses the contents of certain directories and outputs an HTML file at a predetermined location. That's all :)
Comment 7 Jason Tibbitts 2009-07-11 14:45:17 EDT
OK, that sounds simple enough.  Builds fine and rpmlint is silent; everything else seems fine.

* source files match upstream.  sha256sum:                 
  08d85b26501c37f5c0c3be420cddf5eb75559d2327b50e0383b33ec0bfb1b105
  olpc-library-2.0.2.tar.bz2
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.                                                              
* description is OK.                                                          
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper (none).
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   olpc-library = 2.0.2-1.fc12
  =
   /usr/bin/env
   python-jinja
   sugar

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 8 Daniel Drake 2009-07-11 14:54:13 EDT
New Package CVS Request
=======================
Package Name: olpc-library
Short Description: OLPC library page generator
Owners: dsd cjb pbrobinson
Branches: F-11
InitialCC:
Comment 9 Jason Tibbitts 2009-07-11 15:16:30 EDT
CVS done.
Comment 10 Fedora Update System 2009-07-11 19:17:36 EDT
olpc-library-2.0.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/olpc-library-2.0.2-1.fc11
Comment 11 Daniel Drake 2009-07-11 19:19:13 EDT
Thanks Jason, much appreciated!
Comment 12 Fedora Update System 2009-08-11 18:37:06 EDT
olpc-library-2.0.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.